INTERFACE
SUBROUTINE PPLTP(KPROMA,KSTART,KPROF,KFLEV,&
 & PRPRESF,PTOUP,PXTOUP,LDCP,PCORIO,&
 & PRPRES,PRLNPRES,PCP2D) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRESF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOUP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PXTOUP
LOGICAL ,INTENT(IN) :: LDCP
REAL(KIND=JPRB) ,INTENT(IN) :: PCORIO(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRPRES(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRLNPRES(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCP2D(KPROMA)
END SUBROUTINE PPLTP
END INTERFACE
